@echo off
REM compileq1map_hmap2.cmd -- compile a quake 1 map
REM requires hmap2 by lord havoc -- http://icculus.org/twilight/darkplaces/
REM usage: "compileq1map.cmd <mapname>"
REM written by spirit

REM settings
@set COMPPATH="D:\games\nquake\id1\tools\dp\hmap2.exe"
@set MAPPATH="D:\games\nquake\id1\maps\%1.map"

REM check for args
if {%1} == {} (call :HELP) & (goto :EOF)

%COMPPATH% %MAPPATH%

if {%2} == {-t} (call :TEST) & (goto :EOF)
if {%2} == {-tl} (call :TESTLIGHT) & (goto :EOF)

%COMPPATH% -vis %MAPPATH%
%COMPPATH% -light -extra4x4 %MAPPATH%
echo "done (full quality)"
goto :EOF

:TEST
%COMPPATH% -vis -fast %MAPPATH%
echo "done (fast, no light)."
goto :EOF

:TESTLIGHT
%COMPPATH% -vis -fast %MAPPATH%
%COMPPATH% -light %MAPPATH%
echo "done (fast vis+light)."
goto :EOF


:HELP
echo USAGE
echo =====
echo "compileq1map_hmap2 <mapname> [-t]"
echo "<mapname>: name of your mapfile, no extension"
echo "-t: layout test compile (bsp, fast vis, no light)"
echo "-tl: light test compile (bsp, fast vis, fast light)"
echo ----------------------------------------------------
goto :EOF

:EOF